Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.headrules
Class PrioList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<PrioSet>
                  org.maltparser.core.syntaxgraph.headrules.PrioList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<PrioSet>, Collection<PrioSet>, List<PrioSet>, RandomAccess

    public class PrioList

extends ArrayList<PrioSet>

Author:
  Johan Hall
See Also:
  Serialized Form

Field Summary
`protected Direction` | `direction`
`protected HeadRule` | `headRule`
`static long` | `serialVersionUID`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`PrioList(HeadRule headRule, String listSpec)`

Method Summary
`boolean` | `equals(Object obj)`
`DataFormatInstance` | `getDataFormatInstance()`
`PhraseStructureNode` | `getHeadChild(NonTerminalNode nt)`
`HeadRule` | `getHeadRule()`
`org.apache.log4j.Logger` | `getLogger()`
`int` | `hashCode()`
`void` | `init(String listSpec)`
`void` | `setHeadRule(HeadRule headRule)`
`String` | `toString()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### headRule

    protected HeadRule headRule

### direction

    protected Direction direction

Constructor Detail

### PrioList

    public PrioList(HeadRule headRule,
                    String listSpec)
             throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### init

    public void init(String listSpec)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### getHeadChild

    public PhraseStructureNode getHeadChild(NonTerminalNode nt)
                                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### getLogger

    public org.apache.log4j.Logger getLogger()

### getDataFormatInstance

    public DataFormatInstance getDataFormatInstance()

### getHeadRule

    public HeadRule getHeadRule()

### setHeadRule

    public void setHeadRule(HeadRule headRule)

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Collection<PrioSet>`
  Specified by:
    `equals` in interface `List<PrioSet>`
  Overrides:
    `equals` in class `AbstractList<PrioSet>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection<PrioSet>`
  Specified by:
    `hashCode` in interface `List<PrioSet>`
  Overrides:
    `hashCode` in class `AbstractList<PrioSet>`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractCollection<PrioSet>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.